<div class="v2c-referral-handshake-success">
  <app-content-banner [isDashboard]="false" pageName="Referral acknowledgement"></app-content-banner>
  <mat-card class="v2crhs-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-v2c-agency-site-banner></app-v2c-agency-site-banner>
    </mat-card-header>
    <mat-card-content>
      <div class="example-small-box mat-elevation-z4" fxLayout="column">
        <div class="example-container mat-elevation-z4">
          <ag-grid-angular
            #agGrid id="myGrid"
            style="width: 100%"
            class="ag-theme-balham my-grid"
            [columnDefs]="columnDefs"
            [defaultColDef]="defaultColDef"
            [rowData]="rowData"
            [animateRows]="true"
            [gridOptions]="gridOptions"
            [pagination]="true"
            [paginationPageSize]="10"
            [frameworkComponents]="frameworkComponents"
            (gridReady)="onGridReady($event)">
          </ag-grid-angular>
          <section class="bottom-btn" fxLayout="row">
            <div class="save-btn">
              <button type="button" (click)="onSave()"  mat-raised-button color="primary">Save</button>
            </div>
            <div class="transmit-btn">
              <button type="button" routerLink="/vcs/v2c-scheduler" mat-raised-button color="primary">Schedule</button>
            </div>
            <div class="clear-btn">
              <button type="button" (click)="onTransmit()" mat-raised-button color="primary">Transmit</button>
            </div>
          </section>
          <!-- <section *ngIf="is_SH_HP" class="bottom-btn" fxLayout="row">
            <div class="save-btn">
              <button type="button" (click)="onTransmit()"  mat-raised-button color="primary">save</button>
            </div>
            <div class="transmit-btn">
              <button type="button" routerLink="/vcs/c2v-scheduler" mat-raised-button color="primary">Schedule</button>
            </div>
            <div class="clear-btn">
              <button type="button" (click)="onExit()" mat-raised-button color="primary">Exit</button>
            </div>
          </section> -->

        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
